<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.generics="http://www.eclipse.org/papyrus/robotics/generics/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/generics/1 http://www.eclipse.org/papyrus/robotics/1#//generics">
  <uml:Model xmi:id="_WLBh4BdIEeqyMYRxepXoOA" name="PublishSubscribeSystem">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_WLBh4RdIEeqyMYRxepXoOA">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_WLBh4hdIEeqyMYRxepXoOA">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_N9JPkBdKEeqyMYRxepXoOA">
      <importedPackage xmi:type="uml:Model" href="../components/periodicPublisher.compdef.uml#_6nSQsEfEEeiwO_ETU0BG9A"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_ReIDABdKEeqyMYRxepXoOA">
      <importedPackage xmi:type="uml:Model" href="../components/subscriber.compdef.uml#_6nSQsEfEEeiwO_ETU0BG9A"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="_WLBh4xdIEeqyMYRxepXoOA" name="PublishSubscribe">
      <ownedComment xmi:type="uml:Comment" xmi:id="_GoCLcF0gEeqenIMm5aFGvw" annotatedElement="_WLBh4xdIEeqyMYRxepXoOA">
        <body>This system is composed of:
- the publisher component that periodically sends an integer to the subscriber component. The pMap port uses the RobMoSys PUSH pattern, corresponding to a publish-subscribe protocol.
- the subscriber component that receives a sample and displays the received value
- the connector between the publisher's pMap port and the subscriber's rMap port
The publisher component type is modeled by the PeriodicPublisher type in the periodicPublisher.compdef model
The subscriber component type is modeled by the Subscriber type in the subscriber.compdef model.
The publish-subscribe protocol is modeled by the simple service definition model which is loaded into the model explorer, but not into your workspace.</body>
      </ownedComment>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_Kji2gBdKEeqyMYRxepXoOA" name="publisher">
        <type xmi:type="uml:Class" href="../components/periodicPublisher.compdef.uml#_VZylsEfMEeiuVfmPqBuUBA"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_Olx84BdKEeqyMYRxepXoOA" name="subscriber">
        <type xmi:type="uml:Class" href="../components/subscriber.compdef.uml#_-9MoUEiFEeiAtInRNnLmIQ"/>
      </ownedAttribute>
      <ownedConnector xmi:type="uml:Connector" xmi:id="_DdzlQBd-EeqBA6LleTzcOA">
        <end xmi:type="uml:ConnectorEnd" xmi:id="_Df8TQBd-EeqBA6LleTzcOA" partWithPort="_Kji2gBdKEeqyMYRxepXoOA">
          <role xmi:type="uml:Port" href="../components/periodicPublisher.compdef.uml#_utA9cEfMEeiuVfmPqBuUBA"/>
        </end>
        <end xmi:type="uml:ConnectorEnd" xmi:id="_Df86UBd-EeqBA6LleTzcOA" partWithPort="_Olx84BdKEeqyMYRxepXoOA">
          <role xmi:type="uml:Port" href="../components/subscriber.compdef.uml#_ED_GgEiHEeiAtInRNnLmIQ"/>
        </end>
      </ownedConnector>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh5BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh5RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh5hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh5xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh6BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh6RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh6hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh6xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh7BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh7RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh7hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh7xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh8BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh8RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh8hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh8xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh9BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh9RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh9hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh9xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh-BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh-RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh-hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh-xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:SystemComponentArchitectureModel xmi:id="_WLBh_BdIEeqyMYRxepXoOA" base_Package="_WLBh4BdIEeqyMYRxepXoOA"/>
  <robotics.components:System xmi:id="_WLBh_RdIEeqyMYRxepXoOA" base_Class="_WLBh4xdIEeqyMYRxepXoOA"/>
  <robotics.components:ComponentInstance xmi:id="_N9MS4BdKEeqyMYRxepXoOA" base_Property="_Kji2gBdKEeqyMYRxepXoOA"/>
  <robotics.components:ComponentInstance xmi:id="_ReJ4MBdKEeqyMYRxepXoOA" base_Property="_Olx84BdKEeqyMYRxepXoOA"/>
  <robotics.generics:Connects xmi:id="_Df86URd-EeqBA6LleTzcOA" base_Connector="_DdzlQBd-EeqBA6LleTzcOA"/>
</xmi:XMI>
